/************************************************************************
 *																		*
 *	H8-5 Tape Cassette Emulator Application (H8 EMULATOR Project) --	*
 *	TAPEUI.H															*
 *																		*
 *	This is the top level window object for the Tape Emulation GUI		*
 *																		*
 *	------------------------------------------------------------------	*
 *																		*
 *	Copyright (c) 2001 by			David A. Wallace					*
 *									154 Dunstable Rd.					*
 *									N. Chelmsford, MA					*
 *											01863-1202					*
 *																		*
 ************************************************************************/


#if !defined(AFX_TAPEUIDLG_H__C9AC75BE_35B8_11D5_9C37_005004AF5E32__INCLUDED_)
#define AFX_TAPEUIDLG_H__C9AC75BE_35B8_11D5_9C37_005004AF5E32__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTapeuiDlg dialog

class CTapeuiDlg : public CDialog
{
// Construction
public:
	CTapeuiDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTapeuiDlg)
	enum { IDD = IDD_TAPEUI_DIALOG };
	CStatic	m_PlayLightFrame;
	CStatic	m_RecordLightFrame;
	CButton	m_PlayEjectBtn;
	CButton	m_RecordEjectBtn;
	CStatic	m_RecorderFrame;
	CStatic	m_PlayerFrame;
	CStatic	m_PwrLightFrame;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTapeuiDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTapeuiDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPlayEject();
	afx_msg void OnRecordEject();
	afx_msg void OnClose();
	//}}AFX_MSG
	afx_msg LRESULT OnIncoming(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

//	Methods:

public:

protected:

private:
	void	MessageDispatch(CString strMsg);
	void	EmitMessage(int nCommandCode, CStringList & cslArgs);
	void	EmitMessage(int nCommandCode, char * szArg = NULL);
	BOOL	ConnectCommunications(void);
	BOOL	DisconnectPipes();

//	Attributes:

public:
	CStringList		m_cslMessages;
	BOOL			m_bConnected;

protected:

private:
	BOOL			m_bPlayerMounted;
	BOOL			m_bPlayLocked;
	BOOL			m_bRecorderMounted;
	BOOL			m_bRecordLocked;
	CBitmap			m_bmpMounted;
	CBitmap			m_bmpUnmounted;
	CString			m_strRecorderFileName;
	CString			m_strRecorderPath;
	CString			m_strPlayerFileName;
	CString			m_strPlayerPath;
	CString			m_strH8Environment;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TAPEUIDLG_H__C9AC75BE_35B8_11D5_9C37_005004AF5E32__INCLUDED_)
