/************************************************************************
 *																		*
 *	H8 EMULATOR Project --	PAM.H										*
 *																		*
 *	A simulation of the Heathkit H-8 control panel keypad button (GUI)	*
 *																		*
 *	------------------------------------------------------------------	*
 *																		*
 *	Copyright (c) 2001 by			David A. Wallace					*
 *									154 Dunstable Rd.					*
 *									N. Chelmsford, MA					*
 *											01863-1202					*
 *																		*
 ************************************************************************/


#ifndef _PANELBUTTON_H_
#define _PANELBUTTON_H_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


//	This class implements a bitmapped button object whose output is a BOOL
//	which is TRUE when the button is depressed and FALSE when not.  This
//	object will also send BN_xxx messages like an ordinary button.  The
//	intended use of the button is to simulate actual hardware momentary-contact
//	pushbuttons (but without actual contact bounce); the client must monitor
//	the BOOL if it needs to know when the button is being held down or released.

/////////////////////////////////////////////////////////////////////////////
// PanelButton window

class PanelButton : public CButton
{
// Construction
public:
	PanelButton();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(PanelButton)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~PanelButton();

	// Generated message map functions
protected:
	//{{AFX_MSG(PanelButton)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnEnable(BOOL bEnable);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

//	Methods:

public:
	void	AutoLoad(UINT	nId, CWnd* pParent );

protected:

private:
	void	DrawButton(CDC * pDC);

//	Attributes:

public:
	void 	(*m_pSignal)(BOOL);

protected:
private:
	BOOL	m_bDepressed;
	UINT	m_nIDD;
	CWnd *	m_pParent;
	CBitmap	m_bmUp;
	CBitmap	m_bmFocus;
	CBitmap	m_bmDown;
	CBitmap	m_bmDisabled;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // #ifndef _PANELBUTTON_H_

