/************************************************************************
 *																		*
 *	H8 EMULATOR Project --	PANEL.H										*
 *																		*
 *	A GUI class that allows multi-panel dialog objects.					*
 *	(Used in the logic analyzer's set-up screen GUI.)					*
 *																		*
 *	------------------------------------------------------------------	*
 *																		*
 *	Copyright (c) 2000 by			David A. Wallace					*
 *									154 Dunstable Rd.					*
 *									N. Chelmsford, MA					*
 *											01863-1202					*
 *																		*
 ************************************************************************/


#ifndef _PANEL_H_
#define _PANEL_H_

struct PANEL 
{
	int		iXOffset;
	int		iYOffset;
	int		nControlCount;
	UINT *	pControls;
	int		nFocusControl;
};

class	PanelManager
{

//	Constructor / Destructor

public:

	PanelManager();
	~PanelManager();

//	Methods:

public:
	BOOL	Create(CDialog * pOwner,
					CWnd * pBackBtn, CWnd * pNextBtn, CWnd * pFinishBtn);
	BOOL	AddPanel(int nXOffset, int nYOffset,  int nControlCount,
					 UINT * pControls, int nFocusIndex);
	void	RepositionPanels();
	BOOL	PositionControl(CWnd * pWnd, int nX, int nY);
	BOOL	Paginate(int nPage);
	void	ResizeWindow(int nWidth, int nHeight);
	BOOL	DisablePanel(int nControlCount, UINT * pControls);

protected:

private:
	void	PositionPanel(struct PANEL P);
	void	HidePanel(struct PANEL P);
	void	ShowPanel(struct PANEL P);
	void	JumpToPanel(struct PANEL P);

//	Attributes

public:

protected:

private:
	CDialog *			m_pParent;
	struct	PANEL **	m_pPanels;
	int					m_nPanelCount;
	CWnd *				m_pBackBtn;
	CWnd *				m_pNextBtn;
	CWnd *				m_pFinishBtn;
};

#endif //	#ifndef _PANEL_H_